/*
 * Copyright (c) 2021 the original author, All Rights Reserved.
 * Created by Deason on 2021-04-28 22:23:25
 */

package cn.com.qmth.framework.config.center.client;

import cn.com.qmth.framework.config.center.client.core.ConfigConstants;
import cn.com.qmth.framework.config.center.client.core.ConfigRefreshEndPoint;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author: Deason
 * @since: 2021/4/21
 */
@Configuration
@ConditionalOnProperty(ConfigConstants.CONFIG_CENTER_ENABLED)
public class ConfigCenterClientAutoConfiguration {

    private static final Logger log = LoggerFactory.getLogger(ConfigCenterClientAutoConfiguration.class);

    @Bean
    public ConfigRefreshEndPoint configRefreshEndPoint() {
        log.info("configRefreshEndPoint init...");
        return new ConfigRefreshEndPoint();
    }

}
